PeopleForce
Candidates

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

List all candidates

Deprecated

GET
/api/public/v1/recruitment/candidates

Query Parameters

created_at[gte]?integer

Unix epoch seconds

Formatint64
created_at[lte]?integer

Unix epoch seconds

Formatint64
page?integer

Which page of results to return. Defaults to 1.

Formatint32
Range1 <= value
phone_numbers[]?array<string>
updated_at[gte]?integer

Unix epoch seconds

Formatint64
updated_at[lte]?integer

Unix epoch seconds

Formatint64

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v1/recruitment/candidates"
{  "data": [    {      "id": 0,      "full_name": "string",      "email": "string",      "cover_letter": "string",      "resume": true,      "resume_url": "string",      "created_by": {        "id": 0,        "first_name": "string",        "last_name": "string",        "email": "string"      },      "applications": [        {          "id": 0,          "disqualified_at": "2019-08-24T14:15:22Z",          "vacancy": {            "id": 0,            "title": "string"          },          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z",          "pipeline_state": {            "id": 0,            "name": "string"          },          "disqualify_reason": {            "id": 0,            "name": "string"          },          "insights": {            "status": "not_enabled",            "match": "no_match",            "justification": "string",            "must_haves": [              {                "criterion": "string",                "match": true,                "justification": "string"              }            ],            "nice_to_haves": [              {                "criterion": "string",                "match": true,                "justification": "string"              }            ],            "red_flags": [              {                "criterion": "string",                "match": true,                "justification": "string"              }            ]          }        }      ],      "custom_fields": [        {          "uuid": "string",          "name": "string",          "value": "string"        }      ],      "consent": {        "status": "string",        "consented_at": "2019-08-24T14:15:22Z",        "rejected_at": "2019-08-24T14:15:22Z",        "expired_at": "2019-08-24T14:15:22Z"      },      "future_recruitment_consent": {        "status": "string",        "consented_at": "2019-08-24T14:15:22Z",        "rejected_at": "2019-08-24T14:15:22Z",        "expired_at": "2019-08-24T14:15:22Z"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}